Mocking (staging only)

Detailed reference for staging-only mock endpoints.

Environment Note

These endpoints are available in staging and return 404 Not Found in production.

Endpoint Reference

GET /idp/array/users/me/mock

  • Description: read mock data status

  • Authentication: XV/OpenID token

  • Request body: none

Responses on success:

  • 200 OK

{
  "mockAlertsEnabled": true,
  "mockScansEnabled": false
}

POST /idp/array/users/me/mock/alerts

  • Description: enable mock alerts

  • Authentication: XV/OpenID token

  • Request body: none

Responses on success:

  • 204 No Content


DELETE /idp/array/users/me/mock/alerts

  • Description: disable mock alerts

  • Authentication: XV/OpenID token

  • Request body: none

Responses on success:

  • 204 No Content


POST /idp/array/users/me/mock/scans

  • Description: enable mock scans

  • Authentication: XV/OpenID token

  • Request body: none

Responses on success:

  • 204 No Content


DELETE /idp/array/users/me/mock/scans

  • Description: disable mock scans

  • Authentication: XV/OpenID token

  • Request body: none

Responses on success:

  • 204 No Content

Last updated